Overview | Modules | Class Hierarchy | Classes | Members

Classes | Namespaces | Typedefs
Plugin.h File Reference
`#include <string>`
`#include <tulip/tulipconf.h>`
Include dependency graph for Plugin.h:
This graph shows which files directly or indirectly include this file:

## Classes

- class tlp::PluginInfoInterface
    Base interface for plug-in description. This class is not intented to be subclassed by plug-ins themselves, but by the factories who create the plug-ins. This class holds user informations, such as name of the author, date of creation, and miscellaneous informations. It also holds informations for the Tulip plug-in system, such as the version (used to know when there is an update for a plug-in), the name (used as unique identifier to register the plug-in), the Tulip version the plug-in was built with (to know whether the plug-in is compatible with the currently running version of TUlip), and the group this plug-in belongs to (e.g. trees). More...

## Namespaces

- namespace tlp

## Typedefs

- typedef _DEPRECATED
  PluginInfoInterface tlp::Plugin

Tulip Software by LaBRI Visualization Team 2001 - 2012